<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/constants/add");
include("./includes/".$ver."/banned");
$ttl="Профайл";
list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;

$ref = rand(1000, 9999);
$rid = htmlspecialchars(mysql_escape_string(trim(intval($_GET['rid']))));
$nocache = htmlspecialchars(mysql_escape_string(trim(intval($_GET['nocache']))));



switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header ("Content-type:text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level`, `default`, `posts` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo"<br/>$wmlfoot";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$us = mysql_fetch_array($q);
$level = $us['level'];
$default = $us['default'];
$posts = $us['posts'];
//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

if(isset($_GET['rid']))
{
$sql = mysql_query("SELECT `type` FROM `chat_rooms` WHERER `id` = '".intval($_GET['rid'])."';");
$type = mysql_result($sql, 0);
	if($type == 0)
	{
	$url = "/room/wml/".intval($_GET['rid'])."/".rand(10000, 99999)."";
	}
	else
	{
	$url = "/mroom/wml/".intval($_GET['rid'])."/".rand(10000, 99999)."";
	}
}
else
{
$key = $_GET['key'];
$url = "/intim/wml/".$key."/".rand(10000, 99999)."";
}

$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".intval($_GET['uid'])."';");

if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card id=\"error\" title=\"Error\" ontimer=\"$url\"><timer value=\"10\"/><p align=\"left\">\n";
echo "Пользователь не найден в базе данных.<br/>\n";
}
else
{
$user = mysql_fetch_array($q);
$uid = $user['id'];
$nick = $user['nickname'];
$pass = $user['password'];
$ip = $user['ip'];
$ua = $user['ua'];
$kick = $user['kick'];
$moder = $user['moder'];
$reason = $user['reason'];
$name = $user['name'];
$sex = $user['sex'];
$from = $user['from'];
$mobile = $user['mobile'];
$email = $user['email'];
$birthday = $user['birthday'];
$about = $user['about'];
$posts = $user['posts'];
$monety = $user['monety'];
$lev = $user['level'];
$answers = $user['answers'];
$gbalans = $user['gbalans'];
$status = $user['status'];
$regdate = $user['regdate'];
$place = $user['place'];
$photo_type = $user['photo'];
$time = $user['time'];
$mood = $user['mood'];
$icq = $user['icq'];
$nomer = $user['nomer'];
$opsos = $user['opsos'];
$nickpary = $user['nickparu'];
$site = $user['site'];
$colornick = $user['colornick'];
$version = $user['version'];
$avatarka = $user['avatar'];
$avatar_etc = $user['avatar_etc'];

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl\"><p align=\"left\">\n";

if($_GET['act']=='inf')
{

}
else
{
print "<fieldset>";
echo "Посмотреть анкету <a href=\"/info/wml/".$_GET['rid']."/$uid/".$_GET['nocache']."/inf\">$nick</a>";
print "</fieldset>";
}
  if($id != $uid)
  {
    if($_GET['rid'])
    {
       print "<fieldset>";

       echo "<input type=\"text\" name=\"msg$nocache\" maxlength=\"300\" value=\"\"/><br/>\n";

       if($translit == 1)
       {
       echo "Транслитировать:<br/>\n";
       echo "<select name=\"translit$nocache\" value=\"true\">\n";
       echo "<option value=\"true\">Да</option>\n";
       echo "<option value=\"false\">Нет</option>\n";
       echo "</select><br/>\n";
       }

       if($level > 2) echo "<select name=\"attributs\" multiple=\"true\">\n";
       if($level > 2) echo "<option value=\"bold\">Жирный</option>\n";
       if($level > 3) echo "<option value=\"underline\">Подчеркнутый</option>\n";
       if($level >= 4)echo "<option value=\"italic\">Курсив</option>\n";
       if($level > 2) echo "</select><br/>\n";

       if($fsize == 0)
       {
       $fsize = "small";
       }

       if($fsize == 1)
       {
       $fsize = "normal";
       }

       if($fsize == 2)
       {
       $fsize = "large";
       }

       if($level >= 4)
       {
       echo "Размер:<br/>\n";
       echo "<select name=\"fsize$nocache\" value=\"1\">\n";
       echo "<option value=\"0\">Маленький</option>\n";
       echo "<option value=\"1\">Нормальный</option>\n";
       echo "<option value=\"2\">Большой</option>\n";
       echo "</select><br/>\n";
       }

       $ones = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."';");
       $priverka = mysql_fetch_array($ones);

       $emotions = $priverka['emotions'];
       $bystrsmile = $priverka['bystrsmile'];


      if($emotions == 1)
      {
      echo "Эмоции:<br/>\n";
      echo "<select name=\"emotions$nocache\" value=\"0\">\n";
      echo "<option value=\"0\">Без эмоций</option>\n";
      echo "<option value=\"1\">Радостно</option>\n";
      echo "<option value=\"2\">Печально</option>\n";
      echo "<option value=\"3\">Удивленно</option>\n";
      echo "<option value=\"4\">Ласково</option>\n";
      echo "<option value=\"5\">Смущенно</option>\n";
      echo "<option value=\"6\">Кокетливо</option>\n";
      echo "<option value=\"7\">Обиженно</option>\n";
      echo "<option value=\"8\">Настойчиво</option>\n";
      echo "<option value=\"9\">Шепотом</option>\n";
      echo "<option value=\"10\">Задумчиво</option>\n";
      echo "<option value=\"11\">Злобно</option>\n";
      echo "</select><br/>\n";
      }

      if($bystrsmile == 1)
      {
      echo "Смайлы:<br/>\n";
      echo "<select name=\"bystrsmile\">\n";
      echo "<option value=\"0\">Нет</option>\n";
      echo "<option value=\"1\">Улыбка</option>\n";
      echo "<option value=\"2\">Тусовщик</option>\n";
      echo "<option value=\"3\">В шоке</option>\n";
      echo "<option value=\"4\">Влюблён</option>\n";
      echo "<option value=\"5\">Злой</option>\n";
      echo "<option value=\"6\">Кушаю</option>\n";
      echo "</select><br/>\n";
      }

    	if($us['default'] == 0)
	    {
	    echo "<select name=\"to$nocache\" value=\"0\">\n";
	    echo "<option value=\"".$uid."\">Приватно</option>\n";
	    echo "<option value=\"0\">Всем</option>\n";
	    echo "</select><br/>\n";
	    }
	    else
	    {
	    echo "<select name=\"to$nocache\" value=\"1\">\n";
	    echo "<option value=\"".$uid."\">Приватно</option>\n";
	    echo "<option value=\"0\">Всем</option>\n";
	    echo "</select><br/>\n";
	    }

        echo "<anchor>Сказать<go href=\"/room/wml/$rid/$nocache\" method=\"post\">\n";
        echo "<postfield name=\"msg\" value=\"$(msg$nocache)\"/>\n";

     if($translit == 1)
     {
     echo "<postfield name=\"translit\" value=\"$(translit$nocache)\"/>\n";
     }
     echo "<postfield name=\"uid\" value=\"$uid\"/>\n";
     if($level > 1)
     {
     echo "<postfield name=\"attributs\" value=\"$(attributs)\"/>\n";
     }

     if($emotions == 1)
     {
     echo "<postfield name=\"emotions\" value=\"$(emotions$nocache)\"/>\n";
     }

     if($level >= 4)
     {
     echo "<postfield name=\"fsize\" value=\"$(fsize$nocache)\"/>\n";
     }

     if($bystrsmile == 1)
     {
     echo "<postfield name=\"bystrsmile\" value=\"$(bystrsmile)\"/>\n";
     }

     if($us['posts'] >= 100) echo "<postfield name=\"to\" value=\"$(to$nocache)\"/>\n";
     echo "</go></anchor><br/><br/>\n";

      print "</fieldset>";


    }


   if($_GET['key'])
   {
    print "<fieldset>";
    echo "<input type=\"text\" name=\"msg$nocache\" maxlength=\"300\" value=\"\"/><br/>\n";
     if($translit == 1)
    {
    echo "Транслитировать:<br/>\n";
    echo "<select name=\"translit$nocache\" value=\"true\">\n";
    echo "<option value=\"true\">Да</option>\n";
    echo "<option value=\"false\">Нет</option>\n";
    echo "</select><br/>\n";
    }
    echo "<anchor>Сказать<go href=\"intim/wml/$key/$nocache\" method=\"post\">\n";
    echo "<postfield name=\"msg\" value=\"$(msg$nocache)\"/>\n";
    echo "<postfield name=\"translit\" value=\"$(translit$nocache)\"/>\n";
    echo "<postfield name=\"uid\" value=\"$uid\"/>\n";
    if($us['posts'] > 100) echo "<postfield name=\"to\" value=\"$(to$nocache)\"/>\n";
    echo "</go></anchor><br/><br/>\n";
    print "</fieldset>";

   }


  }
  else
  {
  print "<fieldset>";
  echo "[Себе писать нельзя]\n";
  print "</fieldset>";
  }
//////////////////////////////////////////////////////////////////////////////////////////////////////



if($_GET['act']=='inf')
{
print "<fieldset>";

echo "<u>ID:</u> ".$uid."<br/>";
echo "<u>Ник:</u> ".$nick."<br/>\n";
echo "<u>Ник пары:</u> ".$nickpary."<br/>\n";
echo "<u>Имя:</u> ".$name."<br/>\n";
//////////////////////////
 if($avatar_etc == 1)
 {
  if ($avatarka)
  {
  echo "<img src=\"/fr.php?id=".$avatarka."\" alt=\"avatar\" /><br/>\n";
  }

 }
//////////////////////////
echo "<u>Статус:</u> ".$status."<br/>\n";
//////////////////////////
echo "<u>Рейтинг:</u> \n";
include("zvezda.php");
//////////////////////////
echo "<u>Личная фото галерея:</u> \n";

  $ssd = mysql_query("SELECT COUNT(`id`) FROM `chat_foto` where `iduser`='".$uid."' ;");
  $nols = mysql_result($ssd, 0);

  if ($nols)
  {
  echo "<a href='/fotko/wml/".$uid."'>Смотреть ".$nols." фото</a><br/>";
  }
  else
  {
  echo "Фото галерея ещё не заведена.<br/>";
  }

  echo "<u>Личная видео галерея:</u> \n";

  $ssx = mysql_query("SELECT COUNT(`id`) FROM `chat_video` where `iduser`='".$uid."' ;");
  $nols = mysql_result($ssx, 0);

  if ($nols)
  {
  echo "<a href='/videot/wml/".$uid."'>Смотреть ".$nols." Видео</a><br/>";
  }
  else
  {
  echo "Видео галерея ещё не заведена.<br/>";
  }

//////////////////////////
$god = "$birthday";
$arrr=explode("-",$god);
echo "<u>День рождения:</u> $arrr[0].$arrr[1].$arrr[2]<br/>\n";
//////////////////////////
 if($sex == 0)
 {
 echo "<u>Пол:</u> мужской<br/>\n";
 }
 elseif($sex == 1)
 {
 echo "<u>Пол:</u> женский<br/>\n";
 }
//////////////////////////
echo "<u>Город</u>: ".$from."<br/>\n";
echo "<u>Е-Маил:</u> <a href=\"mailto:".$email."\">".$email."</a><br/>\n";
echo "<u>Модель телефона:</u> ".$mobile."<br/>\n";
//////////////////////////
echo "<u>Оператор СС:</u> ".$opsos."<br/>\n";
 if ($nomer)
 {
 $nomber = "<a href=\"wtai://wp/ap;+".$nomer.";".$nick."\">+".$nomer."</a>";
 }
echo "<u>Номер тлф:</u> ".$nomber."<br/>\n";
echo "<u>ICQ:</u> <img src=\"http://web.icq.com/whitepages/online?icq=".$icq."&amp;img=5\" alt=\"\" /> ".$icq."<br/>\n";



echo "<u>Wap сайт:</u> <a href=\"http://".$site."\">".$site."</a><br/>\n";
include "includes/text_array/moder_tegi.php";
//////////////////////////
 if($lev >= 4)
 {
 $about = preg_replace($search, $replace, $about);
 }
//////////////////////////
echo "<u>О себе:</u> ".$about."<br/>\n";
echo "<u>Количество постов:</u> $posts<br/>\n";
echo "<u>Количество монет:</u> $monety<br/>\n";
echo "<u>Ответов в викторине:</u> $answers<br/>\n";
echo "<u>Игровой баланс:</u> $gbalans<br/>\n";
$data = "$regdate";
$arr=explode("-",$data);
echo "<u>Дата регистрации:</u> $arr[0].$arr[1].$arr[2]<br/>\n";
print "</fieldset>";
}
	if($level >= 4)
	{
		if(time() < $kick)
		{
		echo "Данный пользователь заблокирован.<br/>\n";
		$tkick = $kick - time();
		if($tkick < 60 && $tkick > 0)
		{
		$var = "sec.";
		}
		elseif($tkick < 3600 && $tkick > 60)
		{
		$new = $tkick;
		$tkick = $new/60;
		$var = "min.";
		}
		elseif($tkick < 86400 && $tkick > 3600)
		{
		$new = $tkick;
		$tkick = $new/3600;
		$var = "hours";
		}
		elseif($tkick > 86400)
		{
		$new = $tkick;
		$tkick = $new/86400;
		$var = "days";
		}
		$tkick = round($tkick, 2);
		echo "Выпнут(а) модератором <u>".$moder."</u>.<br/>\n";
		echo "Разбан через <u>".$tkick." $var</u><br/>\n";
		echo "Причина: <u>".$reason."</u><br/>\n";
		}
	}

}


if($id != $uid)
{
if($level >= 1)print "<fieldset>";
if($level != 0)include("operator.php");
if($level != 0) echo "[IP]: <u>$ip</u><br/>\n";
if($level != 0) echo "[UserAgent]: <u>$ua</u><br/>\n";
if($level != 0) echo "[<a href=\"/kick.php?".SID."&amp;ver=wml&amp;rid=$rid&amp;uid=$uid&amp;nocache=$nocache\">Пнуть</a>]<br/>\n";
if($level >= 2) echo "[<a href=\"/ban.php?".SID."&amp;ver=wml&amp;rid=$rid&amp;uid=$uid&amp;nocache=$nocache\">Удалить</a>]<br/>\n";
if($level > 2) echo "[<a href=\"/ipua.php?".SID."&amp;ver=wml&amp;rid=$rid&amp;uid=$uid&amp;nocache=$nocache\">Забанить по IP+UA</a>]<br/>\n";
if($level >= 4) echo "[<a href=\"/ip.php?".SID."&amp;ver=wml&amp;rid=$rid&amp;uid=$uid&amp;nocache=$nocache\">Забанить по IP</a>]<br/>\n";
if($level == 4) echo "[<a href=\"/admin.php?".SID."&amp;ver=wml&amp;mod=edit&amp;nickname=".$nick."&amp;pass=".$passadmin."&amp;nocache=$nocache\">Открыть в админке</a>]<br/>\n";
if($level == 5) echo "[<a href=\"/superadmin.php?".SID."&amp;ver=wml&amp;mod=edit&amp;nickname=".$nick."&amp;pass=".$passadmin."&amp;nocache=$nocache\">Открыть в админке</a>]<br/>\n";
if($level >= 1)print "</fieldset>";
}

if($id != $uid)
{
echo "• <a href=\"/ignor/wml/add/$uid\">Игнорировать</a><br/>\n";
}

if($_GET['rid']) echo "• <a href=\"$url\">В чат</a><br/>\n";
if($_GET['key']) echo "• <a href=\"$url\">В чат</a><br/>\n";
echo "• <a href=\"/menu/wml\">В прихожую</a><br/>\n";
echo"<br/>$wmlfoot";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header ("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level`, `default`, `posts` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH
$us = mysql_fetch_array($q);
$level = $us['level'];
$default = $us['default'];
$posts = $us['posts'];
//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

if(isset($_GET['rid']))
{
$sql = mysql_query("SELECT `type` FROM `chat_rooms` WHERER `id` = '".intval($_GET['rid'])."';");
$type = mysql_result($sql, 0);
	if($type == 0)
	{
	$url = "/room/html/".intval($_GET['rid'])."/".rand(10000, 99999)."";
	}
	else
	{
	$url = "/mroom/html/".intval($_GET['rid'])."/".rand(10000, 99999)."";
	}
}
else
{
$key = $_GET['key'];
$url = "/intim/html/".$key."/".rand(10000, 99999)."";
}



$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".intval($_GET['uid'])."';");


if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';
echo "Пользователь не найден в базе данных.<br/>\n";
}
else
{

$user = mysql_fetch_array($q);
$uid = $user['id'];
$nick = $user['nickname'];
$pass = $user['password'];
$ip = $user['ip'];
$ua = $user['ua'];
$kick = $user['kick'];
$moder = $user['moder'];
$reason = $user['reason'];
$name = $user['name'];
$sex = $user['sex'];
$from = $user['from'];
$mobile = $user['mobile'];
$email = $user['email'];
$birthday = $user['birthday'];
$about = $user['about'];
$posts = $user['posts'];
$monety = $user['monety'];
$lev = $user['level'];
$answers = $user['answers'];
$gbalans = $user['gbalans'];
$status = $user['status'];
$regdate = $user['regdate'];
$place = $user['place'];
$photo_type = $user['photo'];
$time = $user['time'];
$mood = $user['mood'];
$icq = $user['icq'];
$nomer = $user['nomer'];
$opsos = $user['opsos'];
$nickpary = $user['nickparu'];
$site = $user['site'];
$colornick = $user['colornick'];
$version = $user['version'];
$avatarka = $user['avatar'];
$avatar_etc = $user['avatar_etc'];


if($fsize == 0)
{
$fsize = "small";
}
if($fsize == 1)
{
$fsize = "normal";
}
if($fsize == 2)
{
$fsize = "large";
}
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';

if($_GET['act']=='inf')
{

}
else
{
echo "Посмотреть анкету <a href=\"/info/html/".$_GET['rid']."/$uid/".$_GET['nocache']."/inf\">$nick</a><br/>";
}

 if($id != $uid)
 {
if($_GET['rid'])
{

echo"<div class=\"d1\">";


echo "<div><form action=\"/room/html/$rid/$nocache/$uid\" method=\"post\">\n";
echo "<input type=\"text\" name=\"msg\" maxlength=\"300\" value=\"\"/>";
echo"<input type=\"hidden\" name=\"uid\" value=\"$uid\" />";
if($us['posts'] >= 100) echo"<input type=\"hidden\" name=\"to\" value=\"".$uid."\" />\n";
echo"<br/>";
if($translit == 1)
{
echo "Транслитировать:\n";
echo "<input type=\"checkbox\" name=\"translit\" value=\"true\" checked=\"checked\" /><br/>\n";
}


if($level > 0)
{
echo "Атрибуты:<br/>\n";
echo "</select>\n";
echo "<select name=\"attributs\" multiple=\"multiple\">\n";
if($level > 2) echo "<option value=\"bold\">Жирный</option>\n";
echo "<option value=\"underline\">Подчеркнутый</option>\n";
if($level >= 4)echo "<option value=\"italic\">Курсив</option>\n";
echo "</select><br/>\n";
}
if($level >= 4)
{
echo "Размер:<br/>\n";
echo "<select name=\"fsize\">\n";
echo "<option value=\"0\">Маленький</option>\n";
echo "<option value=\"1\" selected=\"selected\">Нормальный</option>\n";
echo "<option value=\"2\">Большой</option>\n";
echo "</select><br/>\n";
}

echo "Цвет:<br/>\n";
echo "<select name=\"options\">\n";
echo "<option value=\"0\" selected=\"selected\">Чёрный</option>\n";
echo "<option value=\"1\">Красный</option>\n";
echo "<option value=\"2\">Синий</option>\n";
echo "<option value=\"3\">Зелёный</option>\n";
echo "<option value=\"4\">Серый</option>\n";
echo "<option value=\"5\">Оранжевый</option>\n";
echo "<option value=\"6\">Голубой</option>\n";
echo "<option value=\"7\">Зеленый лесной</option>\n";
echo "<option value=\"8\">Красно-фиолетовый</option>\n";
echo "<option value=\"9\">Темно-бордовый</option>\n";
echo "<option value=\"10\">Фиолетово-синий</option>\n";
echo "</select><br/>\n";

$ones = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."';");
$priverka = mysql_fetch_array($ones);

$emotions = $priverka['emotions'];
$bystrsmile = $priverka['bystrsmile'];

if($emotions == 1)
{
echo "Эмоции:<br/>\n";
echo "<select name=\"emotions\">\n";
echo "<option value=\"0\" selected=\"selected\">Без эмоций</option>\n";
echo "<option value=\"1\">Радостно</option>\n";
echo "<option value=\"2\">Печально</option>\n";
echo "<option value=\"3\">Удивленно</option>\n";
echo "<option value=\"4\">Ласково</option>\n";
echo "<option value=\"5\">Смущенно</option>\n";
echo "<option value=\"6\">Кокетливо</option>\n";
echo "<option value=\"7\">Обиженно</option>\n";
echo "<option value=\"8\">Настойчиво</option>\n";
echo "<option value=\"9\">Шепотом</option>\n";
echo "<option value=\"10\">Задумчиво</option>\n";
echo "<option value=\"11\">Злобно</option>\n";
echo "</select><br/>\n";
}

if($bystrsmile == 1)
{
echo "Смайл:<br/>\n";
echo "<select name=\"bystrsmile\">\n";
echo "<option value=\"0\" selected=\"selected\">Нет</option>\n";
echo "<option value=\"1\">Улыбка</option>\n";
echo "<option value=\"2\">Тусовщик</option>\n";
echo "<option value=\"3\">В шоке</option>\n";
echo "<option value=\"4\">Влюблён</option>\n";
echo "<option value=\"5\">Злой</option>\n";
echo "<option value=\"6\">Кушаю</option>\n";
echo "</select><br/>\n";
}

if($us['default'] == 0)
{
echo "<input type=\"submit\" value=\"Всем\" />\n<input type=\"submit\" name=\"tto\" value=\"В приват\" />";
}
else
{
echo "<input type=\"submit\" name=\"tto\" value=\"В приват\" />\n<input type=\"submit\" value=\"Всем\" />";
}
echo"</form></div></div>\n";
}

if($_GET['key'])
{
echo"<div class=\"d1\">";
echo "<div><form action=\"/intim/html/$key/$nocache\" method=\"post\">\n";
echo "<input type=\"text\" name=\"msg\" maxlength=\"300\" value=\"\"/>";
echo "<input type=\"hidden\" name=\"uid\" value=\"$uid\" />";
if($us['posts'] >= 100)  echo"<input type=\"hidden\" name=\"to\" value=\"".$uid."\" />\n";
echo"<br/>";
echo "<input type=\"submit\" value=\"Сказать\" />";
echo"</form></div></div>\n";
}
}
else
{
echo"[Себе писать нельзя]\n";
}



if ($status == 'bot' ) echo "".$nick." - бот нашего чата<br/>\n";
if ($status != 'bot' )
{

if($_GET['act']=='inf')
{
echo"<div class=\"d1\">";

 if ($colornick)
 {
 $color = '<font color="#'.$colornick.'">';
 $coloroff = '</font>';
 }

echo "<u>ID:</u> ".$uid."<br/>";
echo "<u>Ник:</u> ".$color."".$nick."".$coloroff."<br/>\n";
echo "<u>Ник пары:</u> ".$nickpary."<br/>\n";
echo "<u>Имя:</u> ".$name."<br/>\n";
//////////////////////////
 if($avatar_etc == 1)
 {
  if ($avatarka)
  {
  echo "<img src=\"/fr.php?id=".$avatarka."\" alt=\"avatar\" /><br/>\n";
  }

 }
//////////////////////////
echo "<u>Статус:</u> ".$status."<br/>\n";
//////////////////////////
echo "<u>Рейтинг:</u> \n";
include("zvezda.php");
//////////////////////////
echo "<u>Личная фото галерея:</u> \n";

  $ssd = mysql_query("SELECT COUNT(`id`) FROM `chat_foto` where `iduser`='".$uid."' ;");
  $nols = mysql_result($ssd, 0);

  if ($nols)
  {
  echo "<a href='/fotko.php?".SID."&amp;ver=html&amp;uid=".$uid."'>Смотреть ".$nols." фото</a><br/>";
  }
  else
  {
  echo "Фото галерея ещё не заведена.<br/>";
  }


    echo "<u>Личная видео галерея:</u> \n";

  $ssx = mysql_query("SELECT COUNT(`id`) FROM `chat_video` where `iduser`='".$uid."' ;");
  $nols = mysql_result($ssx, 0);

  if ($nols)
  {
  echo "<a href='/videot/html/".$uid."'>Смотреть ".$nols." Видео</a><br/>";
  }
  else
  {
  echo "Видео галерея ещё не заведена.<br/>";
  }


//////////////////////////
$god = "$birthday";
$arrr=explode("-",$god);
echo "<u>День рождения:</u> $arrr[0].$arrr[1].$arrr[2]<br/>\n";
//////////////////////////
 if($sex == 0)
 {
 echo "<u>Пол:</u> мужской<br/>\n";
 }
 elseif($sex == 1)
 {
 echo "<u>Пол:</u> женский<br/>\n";
 }
//////////////////////////
echo "<u>Город</u>: ".$from."<br/>\n";
echo "<u>Е-Маил:</u> <a href=\"mailto:".$email."\">".$email."</a><br/>\n";
echo "<u>Модель телефона:</u> ".$mobile."<br/>\n";
//////////////////////////
echo "<u>Оператор СС:</u> ".$opsos."<br/>\n";
 if ($nomer)
 {
 $nomber = "<a href=\"wtai://wp/ap;+".$nomer.";".$nick."\">+".$nomer."</a>";
 }
echo "<u>Номер тлф:</u> ".$nomber."<br/>\n";
echo "<u>ICQ:</u> <img src=\"http://web.icq.com/whitepages/online?icq=".$icq."&amp;img=5\" alt=\"\" /> ".$icq."<br/>\n";
echo "<u>Wap сайт:</u> <a href=\"http://".$site."\">".$site."</a><br/>\n";
include "includes/text_array/moder_tegi.php";
//////////////////////////
 if($lev >= 4)
 {
 $about = preg_replace($search, $replace, $about);
 }
//////////////////////////
echo "<u>О себе:</u> ".$about."<br/>\n";
echo "<u>Количество постов:</u> $posts<br/>\n";
echo "<u>Количество монет:</u> $monety<br/>\n";
echo "<u>Ответов в викторине:</u> $answers<br/>\n";
echo "<u>Игровой баланс:</u> $gbalans<br/>\n";
$data = "$regdate";
$arr=explode("-",$data);
echo "<u>Дата регистрации:</u> $arr[0].$arr[1].$arr[2]<br/>\n";
}
	if($level >= 4)
	{
		if(time() < $kick)
		{
		echo "Данный пользователь заблокирован.<br/>\n";
		$tkick = $kick - time();
		if($tkick < 60 && $tkick > 0)
		{
		$var = "sec.";
		}
		elseif($tkick < 3600 && $tkick > 60)
		{
		$new = $tkick;
		$tkick = $new/60;
		$var = "min.";
		}
		elseif($tkick < 86400 && $tkick > 3600)
		{
		$new = $tkick;
		$tkick = $new/3600;
		$var = "hours";
		}
		elseif($tkick > 86400)
		{
		$new = $tkick;
		$tkick = $new/86400;
		$var = "days";
		}
		$tkick = round($tkick, 2);
		echo "Выпнут(а) модератором <u>".$moder."</u>.<br/>\n";
		echo "Разбан через <u>".$tkick." $var</u><br/>\n";
		echo "Причина: <u>".$reason."</u><br/>\n";
		}
	}

}
echo"</div>";

  if($id != $uid)
  {
  if($level != 0)include("operator.php");
  if($level != 0) echo "[IP]: <u>$ip</u><br/>\n";
  if($level != 0) echo "[UserAgent]: <u>$ua</u><br/>\n";
  if($level != 0)echo"<div class=\"d2\">";
  if($level != 0) echo "[<a href=\"/kick.php?".SID."&amp;ver=html&amp;rid=$rid&amp;uid=$uid&amp;nocache=$nocache\">Пнуть</a>]<br/>\n";
  if($level >= 2) echo "[<a href=\"/ban.php?".SID."&amp;ver=html&amp;rid=$rid&amp;uid=$uid&amp;nocache=$nocache\">Удалить</a>]<br/>\n";
  if($level > 2) echo "[<a href=\"/ipua.php?".SID."&amp;ver=html&amp;rid=$rid&amp;uid=$uid&amp;nocache=$nocache\">Забанить по IP+UA</a>]<br/>\n";
  if($level >= 4) echo "[<a href=\"/ip.php?".SID."&amp;ver=html&amp;rid=$rid&amp;uid=$uid&amp;nocache=$nocache\">Забанить по IP</a>]<br/>\n";
  if($level == 4) echo "[<a href=\"/admin.php?".SID."&amp;ver=html&amp;mod=edit&amp;nickname=".$nick."&amp;pass=".$passadmin."&amp;nocache=$nocache\">Открыть в админке</a>]<br/>\n";
  if($level == 5) echo "[<a href=\"/superadmin.php?".SID."&amp;ver=html&amp;mod=edit&amp;nickname=".$nick."&amp;pass=".$passadmin."&amp;nocache=$nocache\">Открыть в админке</a>]<br/>\n";
  if($level != 0)echo"</div>";
  echo"<div class=\"d1\">";
  echo "• <a href=\"/ignor/html/add/$uid\">Игнорировать</a><br/>\n";
  echo"</div>";
  }

echo"<div class=\"d1\">";
if($_GET['rid']) echo "• <a href=\"$url\">В чат</a><br/>\n";
if($_GET['key']) echo "• <a href=\"$url\">В чат</a><br/>\n";
}
echo "• <a href=\"/menu/html\">В прихожую</a><br/>\n";
echo"</div>";
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
break;
}
?>